Skip to main content
GET
/
v0
/
reporting
/
human-annotation-stats
/
by-date
Get human annotation stats aggregated by date
curl --request GET \
  --url https://api.avidoai.com/v0/reporting/human-annotation-stats/by-date \
  --header 'x-api-key: <api-key>' \
  --header 'x-application-id: <api-key>'
{
  "stats": [
    {
      "date": "2025-01-05T00:00:00.000Z",
      "passed": 42,
      "total": 50,
      "avgScore": 0
    }
  ],
  "total": 50
}

Documentation Index

Fetch the complete documentation index at: https://docs.avidoai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Query Parameters

start
string<date-time>

Start of the time range (ISO8601, inclusive).

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2025-01-01T00:00:00Z"

end
string<date-time>

End of the time range (ISO8601, inclusive).

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2025-01-31T23:59:59Z"

topicIds
string<uuid>[]

Optional list of topic IDs to restrict the aggregation to.

Maximum array length: 200
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:
["123e4567-e89b-12d3-a456-426614174000"]
timeBucket
enum<string>
default:1d

Granularity used to bucket rows by date. Defaults to '1d' when omitted.

Available options:
1h,
1d,
1w,
1mo
Example:

"1d"

Response

Successfully retrieved human annotation stats by date

Human annotation stats aggregated by date bucket.

stats
HumanAnnotationStatByDate · object[]
required

Human annotation stats aggregated per date bucket, ordered by bucket start.

total
integer
required

Sum of total across all returned stat rows.

Required range: -9007199254740991 <= x <= 9007199254740991
Example:

100